org.eclipse.graphiti.ui.internal.policy

## Class BendpointEditPolicyFixed

- java.lang.Object
- - org.eclipse.gef.editpolicies.AbstractEditPolicy
  - - org.eclipse.gef.editpolicies.GraphicalEditPolicy
    - - org.eclipse.gef.editpolicies.SelectionEditPolicy
      - - org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
        - - org.eclipse.graphiti.ui.internal.policy.BendpointEditPolicyFixed

All Implemented Interfaces:
  java.beans.PropertyChangeListener, java.util.EventListener, IAdaptable, org.eclipse.gef.EditPolicy, org.eclipse.gef.RequestConstants

Direct Known Subclasses:
  ConnectionBendpointEditPolicy

    public abstract class BendpointEditPolicyFixed
    extends org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy
    implements java.beans.PropertyChangeListener

Used to add bendpoint handles on a `ConnectionEditPart`.

BendpointEditPolicy will automatically observe the `Connection` figure. If the number of bends in the `Connection` changes, the handles will be updated.

### Field Summary

### Fields inherited from interface org.eclipse.gef.EditPolicy

`COMPONENT_ROLE, CONNECTION_BENDPOINTS_ROLE, CONNECTION_ENDPOINTS_ROLE, CONNECTION_ROLE, CONTAINER_ROLE, DIRECT_EDIT_ROLE, GRAPHICAL_NODE_ROLE, LAYOUT_ROLE, NODE_ROLE, PRIMARY_DRAG_ROLE, SELECTION_FEEDBACK_ROLE, TREE_CONTAINER_ROLE`

### Fields inherited from interface org.eclipse.gef.RequestConstants

`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

### Constructor Summary

Constructors
Constructor and Description
`BendpointEditPolicyFixed(IConfigurationProviderInternal configurationProvider)`

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `activate()` `activate()` is extended to add a listener to the `Connection` figure.
`void` `deactivate()` `deactivate()` is extended to remove the property change listener on the `Connection` figure.
`void` `eraseSourceFeedback(org.eclipse.gef.Request request)`
`org.eclipse.gef.commands.Command` `getCommand(org.eclipse.gef.Request request)` Factors the Request into either a MOVE, a DELETE, or a CREATE of a bendpoint.
`void` `propertyChange(java.beans.PropertyChangeEvent evt)` If the number of bendpoints changes, handles are updated.
`void` `showSourceFeedback(org.eclipse.gef.Request request)` Shows feedback when appropriate.

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionHandlesEditPolicy

`getAdapter`

### Methods inherited from class org.eclipse.gef.editpolicies.SelectionEditPolicy

`getTargetEditPart`

### Methods inherited from class org.eclipse.gef.editpolicies.AbstractEditPolicy

`eraseTargetFeedback, getHost, setHost, showTargetFeedback, toString, understandsRequest`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### BendpointEditPolicyFixed

    public BendpointEditPolicyFixed(IConfigurationProviderInternal configurationProvider)

### Method Detail

#### activate

    public void activate()

`activate()` is extended to add a listener to the `Connection` figure.

Specified by:
  `activate` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `activate` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`
See Also:
  `EditPolicy.activate()`

#### deactivate

    public void deactivate()

`deactivate()` is extended to remove the property change listener on the `Connection` figure.

Specified by:
  `deactivate` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `deactivate` in class `org.eclipse.gef.editpolicies.SelectionEditPolicy`
See Also:
  `EditPolicy.deactivate()`

#### eraseSourceFeedback

    public void eraseSourceFeedback(org.eclipse.gef.Request request)

Specified by:
  `eraseSourceFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `eraseSourceFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.eraseSourceFeedback(Request)`

#### getCommand

    public org.eclipse.gef.commands.Command getCommand(org.eclipse.gef.Request request)

Factors the Request into either a MOVE, a DELETE, or a CREATE of a bendpoint.

Specified by:
  `getCommand` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `getCommand` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
See Also:
  `EditPolicy.getCommand(Request)`

#### propertyChange

    public void propertyChange(java.beans.PropertyChangeEvent evt)

If the number of bendpoints changes, handles are updated.

Specified by:
  `propertyChange` in interface `java.beans.PropertyChangeListener`
See Also:
  `PropertyChangeListener.propertyChange(PropertyChangeEvent)`

#### showSourceFeedback

    public void showSourceFeedback(org.eclipse.gef.Request request)

Shows feedback when appropriate. Calls a different method depending on the request type.

Specified by:
  `showSourceFeedback` in interface `org.eclipse.gef.EditPolicy`
Overrides:
  `showSourceFeedback` in class `org.eclipse.gef.editpolicies.AbstractEditPolicy`
Parameters:
  `request` - the Request
See Also:
  `showCreateBendpointFeedback(BendpointRequest)`, `showMoveBendpointFeedback(BendpointRequest)`